<?php
	// Admin page
	add_action( 'wp_ajax_rich_web_Edit_GI', 'rich_web_Edit_Callback_GI' );
	add_action( 'wp_ajax_nopriv_rich_web_Edit_GI', 'rich_web_Edit_Callback_GI' );

	function rich_web_Edit_Callback_GI()
	{
		$number = sanitize_text_field($_POST['foobar']);
		global $wpdb;

		$table_name = $wpdb->prefix . "rich_web_gallery_image_manager";
		
		$Rich_Web_Manager=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name WHERE id=%s", $number));
		print_r($Rich_Web_Manager);
		die();
	}
	
	add_action( 'wp_ajax_rich_web_Edit_ImDescTit_GI', 'rich_web_Edit_ImDescTit_Callback_GI' );
	add_action( 'wp_ajax_nopriv_rich_web_Edit_ImDescTit_GI', 'rich_web_Edit_ImDescTit_Callback_GI' );

	function rich_web_Edit_ImDescTit_Callback_GI()
	{
		$number = sanitize_text_field($_POST['foobar']);
		global $wpdb;

		$table_name1 = $wpdb->prefix . "rich_web_gallery_image_instal";

		$Rich_Web_Instal=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name1 WHERE Gallery_Number=%d order by id", $number));
		print_r($Rich_Web_Instal);
		die();
	}
	
	add_action( 'wp_ajax_rich_web_Del_GI', 'rich_web_Del_Callback_GI' );
	add_action( 'wp_ajax_nopriv_rich_web_Del_GI', 'rich_web_Del_Callback_GI' );

	function rich_web_Del_Callback_GI()
	{
		$number = sanitize_text_field($_POST['foobar']);
		global $wpdb;
		$table_name  = $wpdb->prefix . "rich_web_gallery_image_manager";
		$table_name1 = $wpdb->prefix . "rich_web_gallery_image_instal";

		$wpdb->query($wpdb->prepare("DELETE FROM $table_name WHERE id=%d", $number));
		$wpdb->query($wpdb->prepare("DELETE FROM $table_name1 WHERE Gallery_Number=%d", $number));
		die();
	}

	add_action( 'wp_ajax_rich_web_Copy_GI', 'rich_web_Copy_Callback_GI' );
	add_action( 'wp_ajax_nopriv_rich_web_Copy_GI', 'rich_web_Copy_Callback_GI' );

	function rich_web_Copy_Callback_GI()
	{
		$number = sanitize_text_field($_POST['foobar']);
		global $wpdb;
		$table_name  = $wpdb->prefix . "rich_web_gallery_image_manager";
		$table_name1 = $wpdb->prefix . "rich_web_gallery_image_instal";
		$table_name4 = $wpdb->prefix . "rich_web_gallery_id";

		$Rich_Web_Manager_GI=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name WHERE id=%d", $number));
		$Rich_Web_Instal_GI=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name1 WHERE Gallery_Number=%d order by id", $number));

		$wpdb->query($wpdb->prepare("INSERT INTO $table_name (id, Gallery_Image_Title, Gallery_Image_Type, Gallery_Image_ShowType, Gallery_Image_PerPage, Gallery_Image_LoadMore, Gallery_Image_Quantity) VALUES (%d, %s, %s, %s, %s, %s, %d)", '', $Rich_Web_Manager_GI[0]->Gallery_Image_Title, $Rich_Web_Manager_GI[0]->Gallery_Image_Type, $Rich_Web_Manager_GI[0]->Gallery_Image_ShowType, $Rich_Web_Manager_GI[0]->Gallery_Image_PerPage, $Rich_Web_Manager_GI[0]->Gallery_Image_LoadMore, $Rich_Web_Manager_GI[0]->Gallery_Image_Quantity));
		
		$Gallery_ID=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name4 WHERE id>%d order by id desc limit 1",0));
		$Rich_Web_Gallery_Id=$Gallery_ID[0]->Gallery_ID + 1;
		$wpdb->query($wpdb->prepare("INSERT INTO $table_name4 (id, Gallery_ID) VALUES (%d, %d)", '', $Rich_Web_Gallery_Id));
		
		for($i = 0; $i < count($Rich_Web_Instal_GI); $i++)
		{
			$wpdb->query($wpdb->prepare("INSERT INTO $table_name1 (id, Gallery_Img_Title, Gallery_Img_Description, Gallery_Img_Url, Gallery_Link_Url, Gallery_Link_NewTab, Gallery_Number) VALUES (%d, %s, %s, %s, %s, %s, %d)", '', $Rich_Web_Instal_GI[$i]->Gallery_Img_Title, $Rich_Web_Instal_GI[$i]->Gallery_Img_Description, $Rich_Web_Instal_GI[$i]->Gallery_Img_Url, $Rich_Web_Instal_GI[$i]->Gallery_Link_Url, $Rich_Web_Instal_GI[$i]->Gallery_Link_NewTab, $Rich_Web_Gallery_Id));
		}
		die();
	}

	// Theme Menu
	add_action( 'wp_ajax_rich_web_Del_Option_GI', 'rich_web_Del_Option_GI_Callback' );
	add_action( 'wp_ajax_nopriv_rich_web_Del_Option_GI', 'rich_web_Del_Option_GI_Callback' );

	function rich_web_Del_Option_GI_Callback()
	{
		$RW_GI_ID = sanitize_text_field($_POST['foobar']);

		global $wpdb;
		$table_name2  = $wpdb->prefix . "rich_web_gallery_effects_data";
		$table_name5  = $wpdb->prefix . "rw_gallery_effect1";
		$table_name6  = $wpdb->prefix . "rw_gallery_effect2";

		$Rich_Web_GI_Effects=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name2 WHERE id=%d", $RW_GI_ID));

		$wpdb->query($wpdb->prepare("DELETE FROM $table_name2 WHERE id=%d", $RW_GI_ID));

		if($Rich_Web_GI_Effects[0]->gallery_type=='Grid Gallery')
		{
			$wpdb->query($wpdb->prepare("DELETE FROM $table_name5 WHERE RW_Gallery_ID=%s", $RW_GI_ID));
		}
		else if($Rich_Web_GI_Effects[0]->gallery_type=='Justified Gallery')
		{
			$wpdb->query($wpdb->prepare("DELETE FROM $table_name6 WHERE RW_Gallery_ID=%s", $RW_GI_ID));
		}
		
		die();		
	}

	add_action( 'wp_ajax_rich_web_Edit_Option_GI', 'rich_web_Edit_Option_GI_Callback' );
	add_action( 'wp_ajax_nopriv_rich_web_Edit_Option_GI', 'rich_web_Edit_Option_GI_Callback' );

	function rich_web_Edit_Option_GI_Callback()
	{
		$RW_GI_ID = sanitize_text_field($_POST['foobar']);

		global $wpdb;
		$table_name2  = $wpdb->prefix . "rich_web_gallery_effects_data";
		$table_name5  = $wpdb->prefix . "rw_gallery_effect1";
		$table_name6  = $wpdb->prefix . "rw_gallery_effect2";

		$Rich_Web_GI_Effects=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name2 WHERE id=%d", $RW_GI_ID));

		if($Rich_Web_GI_Effects[0]->gallery_type=='Grid Gallery')
		{
			$Rich_Web_GI_Effect=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name5 WHERE RW_Gallery_ID=%d", $RW_GI_ID));
		}
		else if($Rich_Web_GI_Effects[0]->gallery_type=='Justified Gallery')
		{
			$Rich_Web_GI_Effect=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name6 WHERE RW_Gallery_ID=%d", $RW_GI_ID));
		}

		print_r($Rich_Web_GI_Effect);
		die();
	}

	add_action( 'wp_ajax_RW_GI_Copy_GI2', 'RW_GI_Copy_GI2_Callback' );
	add_action( 'wp_ajax_nopriv_RW_GI_Copy_GI2', 'RW_GI_Copy_GI2_Callback' );

	function RW_GI_Copy_GI2_Callback()
	{
		$RW_GI_ID = sanitize_text_field($_POST['foobar']);

		global $wpdb;
		$table_name2  = $wpdb->prefix . "rich_web_gallery_effects_data";
		$table_name5  = $wpdb->prefix . "rw_gallery_effect1";
		$table_name6  = $wpdb->prefix . "rw_gallery_effect2";

		$Rich_Web_GI_Effects=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name2 WHERE id = %d", $RW_GI_ID));

		$wpdb->query($wpdb->prepare("INSERT INTO $table_name2 (id, gallery_name, gallery_type) VALUES (%d, %s, %s)", '', $Rich_Web_GI_Effects[0]->gallery_name, $Rich_Web_GI_Effects[0]->gallery_type));

		$Rich_Web_GI_ID=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name2 WHERE id > %d order by id desc limit 1", 0));

		if($Rich_Web_GI_Effects[0]->gallery_type=='Grid Gallery')
		{
			$Rich_Web_GI_Effect=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name5 WHERE RW_Gallery_ID = %d", $RW_GI_ID));

			$wpdb->query($wpdb->prepare("INSERT INTO $table_name5 (id, RW_Gallery_ID, RW_Gallery_Name, RW_Gallery_Type, RW_GGI_Width, RW_GGI_PBI, RW_GGI_BW, RW_GGI_BC, RW_GGI_BR, RW_GGI_BSh, RW_GGI_BShC, RW_GGI_HET, RW_GGI_HOvBgC, RW_GGI_T_FS, RW_GGI_T_FF, RW_GGI_T_C, RW_GGI_HLW, RW_GGI_HLC, RW_GGI_HLS, RW_GGI_VPT, RW_GGI_VPC, RW_GGI_VPFS, RW_GGI_VPFF, RW_GGI_IC, RW_GGI_IT, RW_GGI_Pop_ET, RW_GGI_Pop_IBSh, RW_GGI_Pop_IBR, RW_GGI_Pop_ITFS, RW_GGI_Pop_ITFF, RW_GGI_Pop_ITC, RW_GGI_Pop_IDFS, RW_GGI_Pop_IDFF, RW_GGI_Pop_IDC, RW_GGI_Pop_IDTA, RW_GGI_Pop_OvBgC, RW_GGI_Pop_DIcT, RW_GGI_Pop_DIcS, RW_GGI_Pop_DIcC, RW_GGI_Thumb_IcT, RW_GGI_Thumb_IcS, RW_GGI_Thumb_IcC, RW_GGI_Thumb_IH, RW_GGI_Thumb_SelIBW, RW_GGI_Thumb_SelIBC, RW_GGI_Pop_LT, RW_GGI_Pop_LFS, RW_GGI_Pop_LFF, RW_GGI_Pop_LC, RW_GGI_Pop_LBW, RW_GGI_Pop_LBC, RW_GGI_Pop_LBS, RW_GGI_Pop_LBR, RW_GGI_Pop_LBgC, RW_GGI_Pop_LHBgC, RW_GGI_Pop_LHBC, RW_GGI_Pop_LHC, RW_GGI_P_NBT, RW_GGI_P_PBT, RW_GGI_P_BgC, RW_GGI_P_C, RW_GGI_P_FS, RW_GGI_P_FF, RW_GGI_P_CBgC, RW_GGI_P_CC, RW_GGI_P_HBgC, RW_GGI_P_HC, RW_GGI_P_BS, RW_GGI_P_BC, RW_GGI_HEBW, RW_GGI_HEBS, RW_GGI_HEBC, RW_GGI_P_BT, RW_GGI_P_ET, RW_GGI_P_TA, RW_GGI_P_IFS, RW_GGI_P_IT, RW_GGI_P_BR) VALUES (%d, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)", '', $Rich_Web_GI_ID[0]->id, $Rich_Web_GI_Effect[0]->RW_Gallery_Name, $Rich_Web_GI_Effect[0]->RW_Gallery_Type, $Rich_Web_GI_Effect[0]->RW_GGI_Width, $Rich_Web_GI_Effect[0]->RW_GGI_PBI, $Rich_Web_GI_Effect[0]->RW_GGI_BW, $Rich_Web_GI_Effect[0]->RW_GGI_BC, $Rich_Web_GI_Effect[0]->RW_GGI_BR, $Rich_Web_GI_Effect[0]->RW_GGI_BSh, $Rich_Web_GI_Effect[0]->RW_GGI_BShC, $Rich_Web_GI_Effect[0]->RW_GGI_HET, $Rich_Web_GI_Effect[0]->RW_GGI_HOvBgC, $Rich_Web_GI_Effect[0]->RW_GGI_T_FS, $Rich_Web_GI_Effect[0]->RW_GGI_T_FF, $Rich_Web_GI_Effect[0]->RW_GGI_T_C, $Rich_Web_GI_Effect[0]->RW_GGI_HLW, $Rich_Web_GI_Effect[0]->RW_GGI_HLC, $Rich_Web_GI_Effect[0]->RW_GGI_HLS, $Rich_Web_GI_Effect[0]->RW_GGI_VPT, $Rich_Web_GI_Effect[0]->RW_GGI_VPC, $Rich_Web_GI_Effect[0]->RW_GGI_VPFS, $Rich_Web_GI_Effect[0]->RW_GGI_VPFF, $Rich_Web_GI_Effect[0]->RW_GGI_IC, $Rich_Web_GI_Effect[0]->RW_GGI_IT, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_ET, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_IBSh, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_IBR, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_ITFS, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_ITFF, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_ITC, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_IDFS, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_IDFF, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_IDC, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_IDTA, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_OvBgC, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_DIcT, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_DIcS, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_DIcC, $Rich_Web_GI_Effect[0]->RW_GGI_Thumb_IcT, $Rich_Web_GI_Effect[0]->RW_GGI_Thumb_IcS, $Rich_Web_GI_Effect[0]->RW_GGI_Thumb_IcC, $Rich_Web_GI_Effect[0]->RW_GGI_Thumb_IH, $Rich_Web_GI_Effect[0]->RW_GGI_Thumb_SelIBW, $Rich_Web_GI_Effect[0]->RW_GGI_Thumb_SelIBC, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_LT, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_LFS, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_LFF, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_LC, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_LBW, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_LBC, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_LBS, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_LBR, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_LBgC, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_LHBgC, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_LHBC, $Rich_Web_GI_Effect[0]->RW_GGI_Pop_LHC, $Rich_Web_GI_Effect[0]->RW_GGI_P_NBT, $Rich_Web_GI_Effect[0]->RW_GGI_P_PBT, $Rich_Web_GI_Effect[0]->RW_GGI_P_BgC, $Rich_Web_GI_Effect[0]->RW_GGI_P_C, $Rich_Web_GI_Effect[0]->RW_GGI_P_FS, $Rich_Web_GI_Effect[0]->RW_GGI_P_FF, $Rich_Web_GI_Effect[0]->RW_GGI_P_CBgC, $Rich_Web_GI_Effect[0]->RW_GGI_P_CC, $Rich_Web_GI_Effect[0]->RW_GGI_P_HBgC, $Rich_Web_GI_Effect[0]->RW_GGI_P_HC, $Rich_Web_GI_Effect[0]->RW_GGI_P_BS, $Rich_Web_GI_Effect[0]->RW_GGI_P_BC, $Rich_Web_GI_Effect[0]->RW_GGI_HEBW, $Rich_Web_GI_Effect[0]->RW_GGI_HEBS, $Rich_Web_GI_Effect[0]->RW_GGI_HEBC, $Rich_Web_GI_Effect[0]->RW_GGI_P_BT, $Rich_Web_GI_Effect[0]->RW_GGI_P_ET, $Rich_Web_GI_Effect[0]->RW_GGI_P_TA, $Rich_Web_GI_Effect[0]->RW_GGI_P_IFS, $Rich_Web_GI_Effect[0]->RW_GGI_P_IT, $Rich_Web_GI_Effect[0]->RW_GGI_P_BR));
		}
		else if($Rich_Web_GI_Effects[0]->gallery_type=='Justified Gallery')
		{
			$Rich_Web_GI_Effect=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name6 WHERE RW_Gallery_ID = %d", $RW_GI_ID));

			$wpdb->query($wpdb->prepare("INSERT INTO $table_name6 (id, RW_Gallery_ID, RW_Gallery_Name, RW_Gallery_Type, RW_JGI_H, RW_JGI_FH, RW_JGI_R, RW_JGI_BR, RW_JGI_BSh, RW_JGI_BShC, RW_JGI_BShT, RW_JGI_LRT, RW_JGI_ET, RW_JGI_PBI, RW_JGI_T_FS, RW_JGI_T_FF, RW_JGI_T_C, RW_JGI_T_TSh, RW_JGI_T_TShC, RW_JGI_T_ET, RW_JGI_L_T, RW_JGI_L_Sh, RW_JGI_L_W, RW_JGI_L_C, RW_JGI_L_BSh, RW_JGI_L_BShC, RW_JGI_Ov_BgC, RW_JGI_Ov_T, RW_JGI_Ov_Sh, RW_JGI_Pop_OvBgC, RW_JGI_Pop_T, RW_JGI_P2S_ITBgC, RW_JGI_PS_IBW, RW_JGI_PS_IBC, RW_JGI_PS_IBSh, RW_JGI_PS_BShC, RW_JGI_PS_OpBgC, RW_JGI_P1S_ET, RW_JGI_PS_ITFS, RW_JGI_PS_ITFF, RW_JGI_PS_ITC, RW_JGI_PS_IcS, RW_JGI_PS_IcC, RW_JGI_PS_IcT, RW_JGI_PS_DIcT, RW_JGI_PS_LT, RW_JGI_P_NBT, RW_JGI_P_PBT, RW_JGI_P_BgC, RW_JGI_P_C, RW_JGI_P_FS, RW_JGI_P_FF, RW_JGI_P_CBgC, RW_JGI_P_CC, RW_JGI_P_HBgC, RW_JGI_P_HC, RW_JGI_P_BS, RW_JGI_P_BC, RW_JGI_P_BT, RW_JGI_P_ET, RW_JGI_P_TA, RW_JGI_P_IFS, RW_JGI_P_IT, RW_JGI_P_BR) VALUES (%d, %d, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)", '', $Rich_Web_GI_ID[0]->id, $Rich_Web_GI_Effect[0]->RW_Gallery_Name, $Rich_Web_GI_Effect[0]->RW_Gallery_Type, $Rich_Web_GI_Effect[0]->RW_JGI_H, $Rich_Web_GI_Effect[0]->RW_JGI_FH, $Rich_Web_GI_Effect[0]->RW_JGI_R, $Rich_Web_GI_Effect[0]->RW_JGI_BR, $Rich_Web_GI_Effect[0]->RW_JGI_BSh, $Rich_Web_GI_Effect[0]->RW_JGI_BShC, $Rich_Web_GI_Effect[0]->RW_JGI_BShT, $Rich_Web_GI_Effect[0]->RW_JGI_LRT, $Rich_Web_GI_Effect[0]->RW_JGI_ET, $Rich_Web_GI_Effect[0]->RW_JGI_PBI, $Rich_Web_GI_Effect[0]->RW_JGI_T_FS, $Rich_Web_GI_Effect[0]->RW_JGI_T_FF, $Rich_Web_GI_Effect[0]->RW_JGI_T_C, $Rich_Web_GI_Effect[0]->RW_JGI_T_TSh, $Rich_Web_GI_Effect[0]->RW_JGI_T_TShC, $Rich_Web_GI_Effect[0]->RW_JGI_T_ET, $Rich_Web_GI_Effect[0]->RW_JGI_L_T, $Rich_Web_GI_Effect[0]->RW_JGI_L_Sh, $Rich_Web_GI_Effect[0]->RW_JGI_L_W, $Rich_Web_GI_Effect[0]->RW_JGI_L_C, $Rich_Web_GI_Effect[0]->RW_JGI_L_BSh, $Rich_Web_GI_Effect[0]->RW_JGI_L_BShC, $Rich_Web_GI_Effect[0]->RW_JGI_Ov_BgC, $Rich_Web_GI_Effect[0]->RW_JGI_Ov_T, $Rich_Web_GI_Effect[0]->RW_JGI_Ov_Sh, $Rich_Web_GI_Effect[0]->RW_JGI_Pop_OvBgC, $Rich_Web_GI_Effect[0]->RW_JGI_Pop_T, $Rich_Web_GI_Effect[0]->RW_JGI_P2S_ITBgC, $Rich_Web_GI_Effect[0]->RW_JGI_PS_IBW, $Rich_Web_GI_Effect[0]->RW_JGI_PS_IBC, $Rich_Web_GI_Effect[0]->RW_JGI_PS_IBSh, $Rich_Web_GI_Effect[0]->RW_JGI_PS_BShC, $Rich_Web_GI_Effect[0]->RW_JGI_PS_OpBgC, $Rich_Web_GI_Effect[0]->RW_JGI_P1S_ET, $Rich_Web_GI_Effect[0]->RW_JGI_PS_ITFS, $Rich_Web_GI_Effect[0]->RW_JGI_PS_ITFF, $Rich_Web_GI_Effect[0]->RW_JGI_PS_ITC, $Rich_Web_GI_Effect[0]->RW_JGI_PS_IcS, $Rich_Web_GI_Effect[0]->RW_JGI_PS_IcC, $Rich_Web_GI_Effect[0]->RW_JGI_PS_IcT, $Rich_Web_GI_Effect[0]->RW_JGI_PS_DIcT, $Rich_Web_GI_Effect[0]->RW_JGI_PS_LT, $Rich_Web_GI_Effect[0]->RW_JGI_P_NBT, $Rich_Web_GI_Effect[0]->RW_JGI_P_PBT, $Rich_Web_GI_Effect[0]->RW_JGI_P_BgC, $Rich_Web_GI_Effect[0]->RW_JGI_P_C, $Rich_Web_GI_Effect[0]->RW_JGI_P_FS, $Rich_Web_GI_Effect[0]->RW_JGI_P_FF, $Rich_Web_GI_Effect[0]->RW_JGI_P_CBgC, $Rich_Web_GI_Effect[0]->RW_JGI_P_CC, $Rich_Web_GI_Effect[0]->RW_JGI_P_HBgC, $Rich_Web_GI_Effect[0]->RW_JGI_P_HC, $Rich_Web_GI_Effect[0]->RW_JGI_P_BS, $Rich_Web_GI_Effect[0]->RW_JGI_P_BC, $Rich_Web_GI_Effect[0]->RW_JGI_P_BT, $Rich_Web_GI_Effect[0]->RW_JGI_P_ET, $Rich_Web_GI_Effect[0]->RW_JGI_P_TA, $Rich_Web_GI_Effect[0]->RW_JGI_P_IFS, $Rich_Web_GI_Effect[0]->RW_JGI_P_IT, $Rich_Web_GI_Effect[0]->RW_JGI_P_BR));
		}		
		die();
	}
?>