<?php
	if(!defined('ABSPATH')) exit;
	if(!current_user_can('manage_options'))
	{
		die('Access Denied');
	}
	global $wpdb;
	wp_enqueue_media();
	wp_enqueue_script( 'custom-header' );
	add_filter( 'upload_size_limit', 'PBP_increase_upload' );
	function PBP_increase_upload(  )
	{
	 	return 100048576;
	}
	$table_name  = $wpdb->prefix . "rich_web_gallery_image_manager";
	$table_name1 = $wpdb->prefix . "rich_web_gallery_image_instal";
	$table_name2 = $wpdb->prefix . "rich_web_gallery_effects_data";
	$table_name4 = $wpdb->prefix . "rich_web_gallery_id";

	if($_SERVER["REQUEST_METHOD"]=="POST")
	{
		$Gallery_Title=sanitize_text_field($_POST['Gallery_Title']);
		$Gallery_Type=sanitize_text_field($_POST['Gallery_Type']);
		$Gallery_Image_ShowType=sanitize_text_field($_POST['Gallery_Image_ShowType']);
		$Gallery_Image_PerPage=sanitize_text_field($_POST['Gallery_Image_PerPage']);
		$Gallery_Image_LoadMore=sanitize_text_field($_POST['Gallery_Image_LoadMore']);
		$Gallery_Img_Title=array();
		$Gallery_Img_Description=array();
		$Gallery_Img_Url=array();
		$Gallery_Link_Url=array();
		$Gallery_Link_NewTab=array();
		
		$Rich_Web_HidNum=sanitize_text_field($_POST['Rich_Web_HidNum']);
		for($i=1;$i<=$Rich_Web_HidNum;$i++)
		{
			$Gallery_Img_Title[$i]=str_replace("\&","&", sanitize_text_field(esc_html($_POST['JADD_Tit_GI_' . $i])));
			$Gallery_Img_Description[$i]=str_replace("\&","&", sanitize_text_field(esc_html($_POST['JAdd_Description_GI_' . $i])));
			$Gallery_Img_Url[$i]=sanitize_text_field($_POST['JAdd_src_GI_' . $i]);
			$Gallery_Link_Url[$i]=sanitize_text_field($_POST['JADD_Link_GI_' . $i]);
			$Gallery_Link_NewTab[$i]=sanitize_text_field($_POST['JAdd_NewTab_GI_' . $i]);
		}	
	}

	if(isset($_POST['rich_webGISave']))
	{
		$wpdb->query($wpdb->prepare("INSERT INTO $table_name (id, Gallery_Image_Title, Gallery_Image_Type, Gallery_Image_ShowType, Gallery_Image_PerPage, Gallery_Image_LoadMore, Gallery_Image_Quantity) VALUES (%d, %s, %s, %s, %s, %s, %d)", '', $Gallery_Title, $Gallery_Type, $Gallery_Image_ShowType, $Gallery_Image_PerPage, $Gallery_Image_LoadMore, $Rich_Web_HidNum));
		
		$Gallery_ID=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name4 WHERE id>%d order by id desc limit 1",0));
		$Rich_Web_Gallery_Id=$Gallery_ID[0]->Gallery_ID + 1;
		$wpdb->query($wpdb->prepare("INSERT INTO $table_name4 (id, Gallery_ID) VALUES (%d, %d)", '', $Rich_Web_Gallery_Id));
		
		for($i=1;$i<=$Rich_Web_HidNum;$i++)
		{
			$wpdb->query($wpdb->prepare("INSERT INTO $table_name1 (id, Gallery_Img_Title, Gallery_Img_Description, Gallery_Img_Url, Gallery_Link_Url, Gallery_Link_NewTab, Gallery_Number) VALUES (%d, %s, %s, %s, %s, %s, %d)", '', $Gallery_Img_Title[$i], $Gallery_Img_Description[$i], $Gallery_Img_Url[$i], $Gallery_Link_Url[$i], $Gallery_Link_NewTab[$i], $Rich_Web_Gallery_Id));
		}
	}
	else if(isset($_POST['rich_webGIUpdate']))
	{
		$upd_id_GI=sanitize_text_field($_POST['upd_id_GI']);

		$wpdb->query($wpdb->prepare("UPDATE $table_name set Gallery_Image_Title=%s, Gallery_Image_Type=%s, Gallery_Image_ShowType=%s, Gallery_Image_PerPage=%s, Gallery_Image_LoadMore=%s, Gallery_Image_Quantity=%d WHERE id=%d", $Gallery_Title, $Gallery_Type, $Gallery_Image_ShowType, $Gallery_Image_PerPage, $Gallery_Image_LoadMore, $Rich_Web_HidNum, $upd_id_GI));
		$wpdb->query($wpdb->prepare("DELETE FROM $table_name1 WHERE Gallery_Number=%d", $upd_id_GI));
		
		for($i=1;$i<=$Rich_Web_HidNum;$i++)
		{
			$wpdb->query($wpdb->prepare("INSERT INTO $table_name1 (id, Gallery_Img_Title, Gallery_Img_Description, Gallery_Img_Url, Gallery_Link_Url, Gallery_Link_NewTab, Gallery_Number) VALUES (%d, %s, %s, %s, %s, %s, %d)", '', $Gallery_Img_Title[$i], $Gallery_Img_Description[$i], $Gallery_Img_Url[$i], $Gallery_Link_Url[$i], $Gallery_Link_NewTab[$i], $upd_id_GI));
		}
	}
	
	$Rich_WebDat=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name WHERE id>%d", 0));
	$Rich_WebIm=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name1 WHERE id>%d", 0));
	$Rich_WebEff=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name2 WHERE id>%d", 0));
	$RichWebId=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name4 WHERE id>%d order by id desc limit 1",0));
?>
<form method="POST" enctype="multipart/form-data">
	<?php require_once( 'Rich-Web-Gallery-Image-Header.php' ); ?>
	<div style="position: relative; width: 100%; right: 1%; height: 50px;">
		<input type='button' class='JAddGallery' value='New Gallery' onclick='addGalleryJ(<?php echo $RichWebId[0]->Gallery_ID+1;?>)' />
		<input type='submit' class='JSaveGallery' value='Save' name='rich_webGISave' />
		<input type='submit' class='JUpdateGallery' value='Update' name='rich_webGIUpdate' />
		<input type='button' class='JCanselGallery' value='Cancel' onclick='canselGalleryJ()' />
		<input type='text' style='display:none' id="upd_id_GI" name='upd_id_GI'>
	</div>
	<div class="Rich_Web_GImage_Fixed_Div"></div>
	<div class="Rich_Web_GImage_Absolute_Div">
		<div class="Rich_Web_GImage_Relative_Div">
			<p> Are you sure you want to remove ? </p>				 
			<span class="Rich_Web_GImage_Relative_No">No</span>
			<span class="Rich_Web_GImage_Relative_Yes">Yes</span>
		</div>			
	</div>
	<div class='Table_Data_rich_web_Content' >
		<div class='Table_Data_rich_web1'>
			<table class='rich_web_Tit_Table'>
				<tr class='rich_web_Tit_Table_Tr'>
					<td>No</td>
					<td>Gallery Name</td>
					<td>Gallery Option</td>
					<td>Images</td>
					<td>Actions</td>
				</tr>
			</table>
			<table class='rich_web_Tit_Table2'>
			<?php for($i=0;$i<count($Rich_WebDat);$i++){ ?>
				<tr class='rich_web_Tit_Table_Tr2'>
					<td><?php echo $i+1; ?></td>
					<td><?php echo $Rich_WebDat[$i]->Gallery_Image_Title; ?></td>
					<td><?php echo $Rich_WebDat[$i]->Gallery_Image_Type; ?></td>
					<td><?php echo $Rich_WebDat[$i]->Gallery_Image_Quantity; ?></td>
					<td onclick="rich_web_Copy_GI(<?php echo $Rich_WebDat[$i]->id;?>)"><i class='jIcFileso rich_web rich_web-files-o'></i></td>
					<td onclick="rich_web_Edit_GI(<?php echo $Rich_WebDat[$i]->id;?>)"><i class='jIcPencil rich_web rich_web-pencil'></i></td>
					<td onclick="rich_web_Delete_GI(<?php echo $Rich_WebDat[$i]->id;?>)"><i class='jIcDel rich_web rich_web-trash'></i></td>
				</tr>
			<?php } ?>
			</table>
		</div>
		<div class='Table_Data_rich_web2' >
			<table class="rich_web_ShortTable" style="display: table;float:right;">
				<tr style="text-align:center">
					<td>Shortcode</td>
				</tr>
				<tr>
					<td>Copy &amp; paste the shortcode directly into any WordPress post or page.</td>
				</tr>
				<tr>
					<td class="rich_web_Gallery_ID">[rich_web_Gallery id="1"]</td>
				</tr>
				<tr>
					<td>Templete Include</td>
				</tr>
				<tr>
					<td>Copy &amp; paste this code into a template file to include the slideshow within your theme.</td>
				</tr>
				<tr>
					<td class="JMBSL">&lt;?php echo do_shortcode("[Rich_Web_Gallery id="1"]");?&gt;</td>
				</tr>
			</table>
			<table class='rich_web_SaveSl_Table' style='float:left;'>
				<tr>
					<td style='width:100%' colspan='2'>
						Gallery Name
					</td>
				</tr>
				<tr>
					<td colspan='2'>
						<input type='text' class='JSlInput JGalleryName' name='Gallery_Title' placeholder=" * Required" required/>
					</td>
				</tr>
				<tr>
					<td style='width:100%' colspan='2'>
						Gallery Type
					</td>
				</tr>
				<tr>
					<td colspan='2'>
						<select class='JSlInput JSType' name='Gallery_Type' >
							<?php for($i=0;$i<count($Rich_WebEff);$i++){ ?>
								<option value='<?php echo $Rich_WebEff[$i]->gallery_name;?>'><?php echo $Rich_WebEff[$i]->gallery_name;?></option>
							<?php }?>
						</select>
					</td>
				</tr>
				<tr>
					<td style='width:100%' colspan='2'>
						Gallery Show Type/Images Per Page
					</td>
				</tr>
				<tr>
					<td>
						<select class='JSlInput JSSHType' name='Gallery_Image_ShowType' >
							<option value='Show All'>Show All</option>
							<option value='Pagination'>Pagination</option>
							<option value='Load More'>Load More</option>
						</select>
					</td>
					<td>
						<select class='JSlInput JSPage' name='Gallery_Image_PerPage' >
							<option value='1'>1</option>
							<option value='2'>2</option>
							<option value='3'>3</option>
							<option value='4'>4</option>
							<option value='5'>5</option>
							<option value='6'>6</option>
							<option value='7'>7</option>
							<option value='8'>8</option>
							<option value='9'>9</option>
							<option value='10'>10</option>
							<option value='11'>11</option>
							<option value='12'>12</option>
							<option value='13'>13</option>
							<option value='14'>14</option>
							<option value='15'>15</option>
							<option value='16'>16</option>
							<option value='17'>17</option>
							<option value='18'>18</option>
							<option value='19'>19</option>
							<option value='20'>20</option>
							<option value='1'>21</option>
							<option value='2'>22</option>
							<option value='3'>23</option>
							<option value='4'>24</option>
							<option value='5'>25</option>
							<option value='6'>26</option>
							<option value='7'>27</option>
							<option value='8'>28</option>
							<option value='9'>29</option>
							<option value='10'>30</option>
							<option value='11'>31</option>
							<option value='12'>32</option>
							<option value='13'>33</option>
							<option value='14'>34</option>
							<option value='15'>35</option>
							<option value='16'>36</option>
							<option value='17'>37</option>
							<option value='18'>38</option>
							<option value='19'>39</option>
							<option value='20'>40</option>
						</select>
					</td>
				</tr>
				<tr>
					<td style='width:100%' colspan='2'>
						Load More Text
					</td>
				</tr>
				<tr>
					<td colspan='2'>
						<input type='text' class='JSlInput JGalleryLoadMore' name='Gallery_Image_LoadMore'/>
					</td>
				</tr>
				<tr>
					<td class='addImJ' colspan='3'>
						Add Image
					</td>
				</tr>
				<tr>
					<td style='width:100%' colspan='2'>
						Image Title
					</td>
				</tr>
				<tr>
					<td colspan='2'>
						<input type='text' class='JSlInput JSlInput2 JGalleryImageTitle' id='JGalleryImageTitle'/>
					</td>
				</tr>
				<tr>
					<td style='width:100%' colspan='2'>
						<div id="wp-content-media-buttons" class="wp-media-buttons" >													
							<a href="#" class="button insert-media add_media" style="border:1px solid rgba(0, 73, 107, 0.8); color:rgba(0, 73, 107, 0.8); background-color:#f4f4f4" data-editor="rich_web_imgSrc_1" title="Add Image" id="rich_webImgSrc" onclick="rich_web_Img_Src_Clicked()">
								<span class="wp-media-buttons-icon"></span>Add Image
							</a>
						</div>
						<input type="text" style="display:none;" id="rich_web_imgSrc_1" class='JSlInput JSlInput2'>
					</td>
				</tr>
				<tr>
					<td colspan='2'>
						<input type="text" id="rich_web_imgSrc_2" class="JSlInput JSlInput2 rich_web_ImgSrc_Select" readonly>
					</td>
				</tr>
				<tr>
					<td style='width:100%' colspan='2'>
						Image Description
					</td>
				</tr>
				<tr>
					<td colspan='2'>
						<textarea type='text' class='JSlInput JSlInput2 JGalleryImageDesc' id='JGalleryImageDesc' style='height:80px;'>
						
						</textarea>
					</td>
				</tr>
				<tr>
					<td style='width:100%' colspan='2'>
						Link
					</td>
				</tr>
				<tr>
					<td>
						<input type='text' class='JSlInput JSlInput2 JGalleryImageLink' id='JGalleryImageLink'/>
					</td>
					<td>
						New Tab <input type='checkbox' id='JNewTab' class='jChB'>
					</td>
				</tr>
				<tr>
					<td class='addImJ' colspan='3' style='padding:0px;'>
						<input type='button' class='JSVBut' onclick="rich_web_Save_GI()" value='Save' />
						<input type='button' class='JUPBut' onclick="rich_web_Update_GI()" value='Update' />
						<input type='button' class='JRBut' onclick="rich_web_Res_GI()" value='Reset'/>
						<input type="text" style="display:none;" id="Rich_Web_HidNum" name="Rich_Web_HidNum" value="0">
						<input type="text" style="display:none;" id="Rich_Web_HidUpd" value="0">
					</td>
				</tr>
			</table>
			<table class='rich_web_SaveSl_Table2'>
				<tr>
					<td>
						No
					</td>
					<td>
						Image				
					</td>
					<td>
						Image Title
					</td>
					<td>
						Edit
					</td>
					<td>
						Delete
					</td>
				</tr>
			</table>
			<table class='rich_web_SaveGI_Table3' onmousemove='rich_webSortableGI()'>
				
			</table>
		</div>
	</div>
</form>